class SessionsController < ApplicationController
 
  def create
    if self.current_user = User.authenticate(params[:user][:login], params[:user][:password])
      flash[:notice] = "Wellcome #{current_user.login}"[:wellcome_message]
      redirect_to links_path(current_user_id)
    else
      flash[:notice] = "Invalid login or password, try again."[:invalid_login_message]
      redirect_to login_url
    end
  end

  def destroy
    session.delete
    cookies.delete :login_token
    flash[:notice] = "You have been logged out."[:logged_out_message]
    redirect_to login_url
  end

end
